SRC += $(wildcard $(HAL_DIR)/hal_keypad/*.c)
CFLAGS += -I$(HAL_DIR)/hal_keypad
ifdef MOD_KEYPAD
	SRC += $(wildcard $(HAL_DIR)/hal_keypad/$(MOD_KEYPAD)/*.c)
else
	$(warning warning you sure no audio?)
endif